8

The default Software Updater was not working correctly. It was giving the message "An upgrade from 'freya' to 'trusty' is not supported with this tool."

So I did:

sudo apt-get update
sudo apt-get upgrade
sudo apt-get dist-upgrade

And rebooted.

After the reboot I am unable to login. I type my password, the screen goes black as if it was going to login, and I'm back at the same screen.

I can tell the password is correct because when I type the wrong password, it gives that shaking animation. I even tried using the on-screen keyboard to type my password, so I know it's not a problem with my keyboard configuration or anything like this.

Also, I am not able to login with the guest account.

Can someone help me?

  • What did you upgrade from, to? Did you do the unsupported action of upgrading from an elementary release to a Ubuntu release? – RolandiXor Oct 13 '15 at 3:51
  • I installed Freya when it was on beta, but it upgraded normally to the final version. There has been some time since the last upgrade I did, so I suppose it was upgrading to elementary 0.3.1. – Guilherme Fuck Oct 14 '15 at 4:22
  • 1
    I didn't change anything, so I don't see how it would try to upgrade from elementary to Ubuntu. – Guilherme Fuck Oct 14 '15 at 4:23
  • Well from "Freya" to "Trusty" is from elementary to Ubuntu, though technically the same version, which I don't quite understand (as in, why it would try to do this). – RolandiXor Oct 14 '15 at 19:57
  • 1
    @RolandiXor For future reference, this happens because sources point to trusty but Freya is labelled as freya. The system assumes it's an upgrade. – Lewis Goddard Mar 9 '16 at 22:46

10 Answers 10

7

I don't have a crystal ball, but I suppose to look for .Xauthority in your home folder, there might be a permission problem:

  1. Press CTRL+ALT+F1 (but if you on mackbook do CTRL+FN+F1) to get to a prompt, and login.
  2. Check the permissions and owner of your home directory: ls -l ~/.Xauthority
  3. Change the owner of the file, if it is not yours, by chown username:username .Xauthority.
| improve this answer | |
  • I tried it. It seems like I already am the owner. Still, I did "chow guilherme:guilherme .Xauthority", but I still can't login. – Guilherme Fuck Oct 11 '15 at 21:40
  • Thank you, this saved me after I broke things screwing around! – SamMorrowDrums Feb 8 '17 at 14:10
  • This worked for me. Root was the owner and I changed it to my user. – Davide Nov 7 '17 at 12:01
3

You could try reinstalling the desktop environment going into the TTY (CRTL+ALT+F1) and running this command:

sudo apt-get install --reinstall elementary-desktop

After that, reboot using the command

sudo reboot

If everything went right, you should be able to login again.

| improve this answer | |
2

I had the same problem and I did this:

  1. Press CTRL+ALT+F1 to get to a prompt, and login.
  2. sudo apt-get install ecryptfs-utils
  3. sudo reboot

If this does not work, try to create another user account from the prompt.

sudo useradd new-admin-username -s /bin/bash -g sudo -m

-s sets the user login shell
-m makes home directory for the new user
-g give the new user admin privileges

sudo passwd new-admin-username 
| improve this answer | |
1
  • Login to tty1 using Ctrl+Alt+F1

  • Enter username and password

  • Run the command sudo service lightdm restart

| improve this answer | |
  • Thanks for your suggestion. First, it gave me the message: "gdm: unrecognized service". It seems like lightdm is used in newer versions of Ubuntu instead of gdm. So I tried "sudo service lightdm restart". It restarted, but still, I can't login. – Guilherme Fuck Oct 11 '15 at 20:44
  • I even installed kdm, just to see if it wasn't a problem with lightdm, but I still wasn't able to login. – Guilherme Fuck Oct 11 '15 at 21:42
  • this worked for me thanks. – Tushortz Oct 22 at 12:38
1

My solution was:

  • reboot and start with a old kernel version
  • upgrade:

    sudo apt- get update && sudo apt- get upgrade

  • reboot normally.

For now it works, but Updates show me that message.

| improve this answer | |
1

All the other answers didn't fix my problem. I fixed it by installing the latest NVidia drivers.

| improve this answer | |
1

I got the same problem, in my case all the trouble was caused because my hard drive was full(i was using a Virtual Machine). I delete some unnecessary files (ALT + CTRL + F1 for using console) and i could login again. After that i just upgrade the VM disk and now is work perfectly.

| improve this answer | |
0

First Ctrl + Alt + F4 ( In black screen )

Later will ask login and password , do the normal login and then the following commands:

sudo apt- get update && sudo apt- get upgrade

sudo apt- get install xserver- xorg

sudo reboot

https://www.vivaolinux.com.br/topico/Novo-no-Linux/Tela-preta-ao-iniciar-ubuntu-14?pagina=02

| improve this answer | |
0

I tried pretty much every solution posted here. I am running Elementary 0.4.1 Loki, and the day-before-yesterday i ran some updates trough the AppCenter, and these updates requred a reboot for some reason. After that reboot i couldn't log in. What finally solved the problem for me, after trying everything else posted here i did this - I ran the ecrypt-mount-private command and i was asked for a login passphrase. I tried entering my password but it didn't work - i must confess i'm pretty much a total noob when it comes to Linux distros - so then I got the idea of entering my old (original) passower (the one i had set whe installing Elementary). That decrypted my home directory. The I exited the CLI by pressing Ctrl+Alt+F7 and got back to the GUI, and entered my current account password and I managed to log in. Hope this helps. At the moment I am installing 5.0 Juno :)

| improve this answer | |
0

Hello I'm a new user for Elementary OS. About the error that make you can't login into it. I had some advice maybe can be useful. The first I Installed this,

  1. I activate automatically login when I'm installing the Elementary OS.

  2. The second thing that I did,I had removed the apps that I didn't need,Idk it has a relationship with the data login that can cause and error or not. The only app that I removed is calculator and I don't anything expect that. Well beacuse I was too afraid about the error that hard to find out about it

  3. I test with sudo apt-get update,even I try sudo apt-get upgrade,I do it twice

  4. Even I install wifi driver that do update and upgrade

  5. I have seen the error like firmware ,but now i didn't see it anymore,idk why

  6. Oh right,don't remove the feedback

And now even after I suspend or in lock mode,I can unlock it. I felt depressed aboout this,I hope my advice can help you. I curious about why the developer doesn't tell us how to fix it. Or why he didn't have an old version before 5.1.

Github : Nura21

| improve this answer | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.